# $Revision: 1.12 $, $Date: 2005/07/26 18:23:10 $
Summary:	Library implementing the SSH2 protocol
Summary(pl):	Biblioteka implementujca protok SSH2
Name:		libssh2
Version:	0.11
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://dl.sourceforge.net/libssh2/%{name}-%{version}.tar.gz
# Source0-md5:	899331a46300f0e233091ceed30dadaf
URL:		http://libssh2.sourceforge.net/
BuildRequires:	automake
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libssh2 is a C library implementing the SSH2 protocol according to
Internet Draft specifications SECSH-TRANS(22), SECSH-USERAUTH(25),
SECSH-CONNECTION(23), SECSH-ARCH(20), SECSH-FILEXFER(06),
SECSH-DHGEX(04), and SECSH-NUMBERS(10).

Supported Ciphers:  
- aes256-cbc (aka rijndael-cbc@lysator.liu.se)
- aes192-cbc
- aes128-cbc
- 3des-cbc
- blowfish-cbc
- cast128-cbc
- arcfour
- none

Supported Key Exchange Methods: 
- diffie-hellman-group1-sha1
- diffie-hellman-group14-sha1
- diffie-hellman-group-exchange-sha1

Supported Hostkey Types:  
- ssh-rsa
- ssh-dss

Supported Compression Methods:
- zlib
- none

Supported Message Authentication Codes:
- hmac-sha1
- hmac-sha1-96
- hmac-ripemd160
- hmac-ripemd160@openssh.com

%description -l pl
libssh2 to biblioteka C implementujca protok SSH2 zgodnie ze
specyfikacjami Internet Draft SECSH-TRANS(22), SECSH-USERAUTH(25),
SECSH-CONNECTION(23), SECSH-ARCH(20), SECSH-FILEXFER(06),
SECSH-DHGEX(04), and SECSH-NUMBERS(10).

Obsugiwane szyfry:
- aes256-cbc (znany te jako rijndael-cbc@lysator.liu.se)
- aes192-cbc
- aes128-cbc
- 3des-cbc
- blowfish-cbc
- cast128-cbc
- arcfour
- none

Obsugiwane metody wymiany kluczy:
- diffie-hellman-group1-sha1
- diffie-hellman-group14-sha1
- diffie-hellman-group-exchange-sha1

Obsugiwane rodzaju kluczy hosta:
- ssh-rsa
- ssh-dss

Obsugiwane metody kompresji:
- zlib
- none

Obsugiwane kody uwierzytelniania wiadomoci:
- hmac-sha1
- hmac-sha1-96
- hmac-ripemd160
- hmac-ripemd160@openssh.com

%package devel
Summary:	Header files for libssh2 library
Summary(pl):	Pliki nagwkowe biblioteki libssh2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libssh2 library.

%description devel -l pl
Pliki nagwkowe biblioteki libssh2.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub .
%configure \
	--with-openssl=%{_prefix}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/lib*.so

%files devel
%defattr(644,root,root,755)
#%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libssh2.spec,v $
Revision 1.12  2005/07/26 18:23:10  adamg
- updated to 0.11

Revision 1.11  2005/05/29 12:27:32  petec
- up to 0.10

Revision 1.10  2005/04/06 21:56:44  czucz
- updated to 0.8

Revision 1.9  2005/02/25 18:50:18  adamg
- updated to 0.7

Revision 1.8  2005/02/19 18:57:09  adamg
- updated to 0.6

Revision 1.7  2005/01/11 07:42:24  adamg
- release 2

Revision 1.6  2005/01/11 07:35:47  adamg
- refresh config.sub

Revision 1.5  2005/01/11 07:12:52  adamg
- updated to 0.5 (BC break)
- dropped DESTDIR patch (applied upstream)
- release 1

Revision 1.4  2004/12/25 16:44:06  qboosh
- pl desc

Revision 1.3  2004/12/25 11:35:53  adamg
- pass libdir during make install

Revision 1.2  2004/12/25 11:19:14  adamg
- License fix (it's BSD, not LGPL)
- BuildRequires: zlib-devel
- dropped -static package

Revision 1.1  2004/12/25 11:12:49  adamg
- new
